"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
Object.defineProperty(exports, "__esModule", { value: true });
var types_1 = require("../types");
var ConsoleAdapter = /** @class */ (function () {
    function ConsoleAdapter() {
    }
    ConsoleAdapter.prototype.info = function (log) {
        console.info(ConsoleAdapter.mergeLog(log, types_1.LogLevel.info));
    };
    ConsoleAdapter.prototype.error = function (log) {
        console.error(ConsoleAdapter.mergeLog(log, types_1.LogLevel.error));
    };
    ConsoleAdapter.prototype.warn = function (log) {
        console.warn(ConsoleAdapter.mergeLog(log, types_1.LogLevel.warn));
    };
    ConsoleAdapter.prototype.debug = function (log) {
        console.debug(ConsoleAdapter.mergeLog(log, types_1.LogLevel.debug));
    };
    ConsoleAdapter.mergeLog = function (log, level) {
        var message = log.message;
        if (typeof message === 'string') {
            message = { message: message };
        }
        return JSON.stringify(__assign(__assign(__assign({}, message), { level: level }), log.meta));
    };
    ConsoleAdapter.prototype.validate = function () {
        return process.env.DISABLE_CONSOLE_ERROR !== 'true';
    };
    return ConsoleAdapter;
}());
exports.ConsoleAdapter = ConsoleAdapter;
