"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var actions_1 = require("../actions/actions");
var mapLogDetail = function (message, action, requestContext) {
    var actionName = actions_1.Action[action];
    var mapResult = {
        action: actionName
    };
    if (requestContext) {
        mapResult.currentUrl = requestContext.currentUrl;
        mapResult.ip = requestContext.ip;
        mapResult.userAgent = requestContext.userAgent;
        mapResult.refererUrl = requestContext.refererUrl;
        mapResult.correlationId = requestContext.correlationId;
        mapResult.userId = requestContext.userId;
        mapResult.storefrontId = requestContext.storefrontId;
        mapResult.language = requestContext.language;
        mapResult.culture = requestContext.culture;
    }
    if (!actionName) {
        mapResult.action = action;
    }
    return { message: message, meta: mapResult };
};
exports.mapLogDetail = mapLogDetail;
